PHPExcel_Calculation

# Class: PHPExcel_Calculation_FormulaToken

Source Location: /PHPExcel/Calculation/FormulaToken.php

### Class Overview

PHPExcel_Calculation_FormulaToken

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- TOKEN_SUBTYPE_CONCATENATION
- TOKEN_SUBTYPE_ERROR
- TOKEN_SUBTYPE_INTERSECTION
- TOKEN_SUBTYPE_LOGICAL
- TOKEN_SUBTYPE_MATH
- TOKEN_SUBTYPE_NOTHING
- TOKEN_SUBTYPE_NUMBER
- TOKEN_SUBTYPE_RANGE
- TOKEN_SUBTYPE_START
- TOKEN_SUBTYPE_STOP
- TOKEN_SUBTYPE_TEXT
- TOKEN_SUBTYPE_UNION
- TOKEN_TYPE_ARGUMENT
- TOKEN_TYPE_FUNCTION
- TOKEN_TYPE_NOOP
- TOKEN_TYPE_OPERAND
- TOKEN_TYPE_OPERATORINFIX
- TOKEN_TYPE_OPERATORPOSTFIX
- TOKEN_TYPE_OPERATORPREFIX
- TOKEN_TYPE_SUBEXPRESSION
- TOKEN_TYPE_UNKNOWN
- TOKEN_TYPE_WHITESPACE

### Methods

- getTokenSubType
- getTokenType
- getValue
- setTokenSubType
- setTokenType
- setValue
- __construct

### Class Details

[line 60]
PHPExcel_Calculation_FormulaToken

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method getTokenSubType [line 164]

`string getTokenSubType( )`

Get Token SubType (represented by TOKEN_SUBTYPE_*)

#### Tags:

access: | public

[ Top ]

### method getTokenType [line 146]

`string getTokenType( )`

Get Token Type (represented by TOKEN_TYPE_*)

#### Tags:

access: | public

[ Top ]

### method getValue [line 128]

`string getValue( )`

Get Value

#### Tags:

access: | public

[ Top ]

### method setTokenSubType [line 173]

`void setTokenSubType( [string $value = PHPExcel_Calculation_FormulaToken::TOKEN_SUBTYPE_NOTHING])`

Set Token SubType

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setTokenType [line 155]

`void setTokenType( [string $value = PHPExcel_Calculation_FormulaToken::TOKEN_TYPE_UNKNOWN])`

Set Token Type

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### method setValue [line 137]

`void setValue( string $value)`

Set Value

#### Tags:

access: | public

#### Parameters:

string | $value |

[ Top ]

### constructor __construct [line 115]

`PHPExcel_Calculation_FormulaToken __construct( string $pValue, [string $pTokenType = PHPExcel_Calculation_FormulaToken::TOKEN_TYPE_UNKNOWN], [string $pTokenSubType = PHPExcel_Calculation_FormulaToken::TOKEN_SUBTYPE_NOTHING])`

Create a new PHPExcel_Calculation_FormulaToken

#### Tags:

access: | public

#### Parameters:

string | $pValue |
string | $pTokenType | Token type (represented by TOKEN_TYPE_*)
string | $pTokenSubType | Token Subtype (represented by TOKEN_SUBTYPE_*)

[ Top ]

### Class Constants

#### TOKEN_SUBTYPE_CONCATENATION = 'Concatenation'

[line 83]

[ Top ]

#### TOKEN_SUBTYPE_ERROR = 'Error'

[line 80]

[ Top ]

#### TOKEN_SUBTYPE_INTERSECTION = 'Intersection'

[line 84]

[ Top ]

#### TOKEN_SUBTYPE_LOGICAL = 'Logical'

[line 79]

[ Top ]

#### TOKEN_SUBTYPE_MATH = 'Math'

[line 82]

[ Top ]

#### TOKEN_SUBTYPE_NOTHING = 'Nothing'

[line 74]

[ Top ]

#### TOKEN_SUBTYPE_NUMBER = 'Number'

[line 78]

[ Top ]

#### TOKEN_SUBTYPE_RANGE = 'Range'

[line 81]

[ Top ]

#### TOKEN_SUBTYPE_START = 'Start'

[line 75]

[ Top ]

#### TOKEN_SUBTYPE_STOP = 'Stop'

[line 76]

[ Top ]

#### TOKEN_SUBTYPE_TEXT = 'Text'

[line 77]

[ Top ]

#### TOKEN_SUBTYPE_UNION = 'Union'

[line 85]

[ Top ]

#### TOKEN_TYPE_ARGUMENT = 'Argument'

[line 66]

[ Top ]

#### TOKEN_TYPE_FUNCTION = 'Function'

[line 64]

[ Top ]

#### TOKEN_TYPE_NOOP = 'Noop'

[line 62]

[ Top ]

#### TOKEN_TYPE_OPERAND = 'Operand'

[line 63]

[ Top ]

#### TOKEN_TYPE_OPERATORINFIX = 'OperatorInfix'

[line 68]

[ Top ]

#### TOKEN_TYPE_OPERATORPOSTFIX = 'OperatorPostfix'

[line 69]

[ Top ]

#### TOKEN_TYPE_OPERATORPREFIX = 'OperatorPrefix'

[line 67]

[ Top ]

#### TOKEN_TYPE_SUBEXPRESSION = 'Subexpression'

[line 65]

[ Top ]

#### TOKEN_TYPE_UNKNOWN = 'Unknown'

[line 71]

[ Top ]

#### TOKEN_TYPE_WHITESPACE = 'Whitespace'

[line 70]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:20 +0200 by phpDocumentor 1.4.4